Bug 44208 - CRASH when click Tools -> Options with UI [ta_IN], [hi_IN] and other [xx_IN]
Summary: CRASH when click Tools -> Options with UI [ta_IN], [hi_IN] and other [xx_IN]
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
(earliest affected)
3.5.0 RC1
Hardware: Other Windows (All)
: highest critical
Assignee: Not Assigned
Whiteboard: BSA (target:3.4)
: 45137 (view as bug list)
Depends on:
Blocks: mab3.4
  Show dependency treegraph
Reported: 2011-12-28 01:07 UTC by A S Alam
Modified: 2012-07-08 04:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Note You need to log in before you can comment on or make changes to this bug.
Description A S Alam 2011-12-28 01:07:55 UTC
Problem description: 
I selected various Indian Language to install like Gujarati, Hindi, Punjabi, Oriya, Marathi, Tamil, Telugu. While testing with Tamil (ta_IN) language on Windows Build, and click on Tools-> Option (or preference), application crashed.

Steps to reproduce:
1. install 3.5 Beta3 and select multiple language (like Hindi, Punjabi, Tamil)
2. Select User Interface Language Tool->option->Language Settings->UI Language -  Tamil
3. close dialouge and click again Tools->Option

Current behavior:
application crashed

Expected behavior:
it should not crashed

Platform (if different from the browser): 
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0a2) Gecko/20111212 Firefox/10.0a2
Comment 1 A S Alam 2011-12-28 01:44:05 UTC
may be helpful
Problem signature:
  Problem Event Name:	APPCRASH
  Application Name:	soffice.bin
  Application Version:
  Application Timestamp:	4ef2169f
  Fault Module Name:	KERNELBASE.dll
  Fault Module Version:	6.1.7601.17651
  Fault Module Timestamp:	4e211319
  Exception Code:	e06d7363
  Exception Offset:	0000b9bc
  OS Version:	6.1.7601.
  Locale ID:	18441
  Additional Information 1:	0645
  Additional Information 2:	0645d45961e356e62a360efba14a7d78
  Additional Information 3:	81f6
  Additional Information 4:	81f6ec5f817e576407e4b4c16f755576
Comment 2 Lior Kaplan 2012-01-22 04:31:07 UTC
Could you also try it with RC1 that was just released?
Comment 3 A S Alam 2012-01-22 21:28:29 UTC
(In reply to comment #2)
> Could you also try it with RC1 that was just released?

Still crashed (with RC1). Same type of behaviour for other Indian language. I tested following:
with Bug:

Gujarati (gu_IN)
Hindi (hi_IN)
Malayalam (ml_IN)
Oriya (or_IN)
Telugu (te_IN)
Kannada (kn_IN)
Nepali (ne_NP)
Marathi (mr_IN)

while application working properly with following locales (Indic and Non-Indic both):
Kashmiri (Kashmir)
Comment 4 Rainer Bielefeld Retired 2012-01-23 23:03:37 UTC
*** Bug 45137 has been marked as a duplicate of this bug. ***
Comment 5 Rainer Bielefeld Retired 2012-01-23 23:11:18 UTC
Confirmed due to "Bug 45137 - UI: TAMIL / DOGRI CRASH in menu Tools - Options"
Modified version due to a.m. Bug.

NEEDINFO: Any possibility to get information with what version that really started?
Comment 6 Andras Timar 2012-01-24 01:34:40 UTC
Changing version (BTW 3.4.5 did not crash for me).
Comment 7 Rainer Bielefeld Retired 2012-01-24 02:09:55 UTC
CRASH remains reproducible for me with "LibreOffice 3.4.5 Tamil (or Dogri) UI / German Locale  [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit)

But indeed not reproducible with 3.4.5 on WIN XP 32Bit on VirtualBox
Comment 8 Andras Timar 2012-01-24 05:59:36 UTC
I may have fixed it. Could you please test?

Look for main.xcd in c:\Program Files\LibreOffice 3.5\share\registry. Open it with a decent text editor. Delete every occurrence of "-IN". E.g. replace "te-IN" to "te", etc. Save, restart LibreOffice, and see if it crashes. It does not crash for me after this change.
Comment 9 Andras Timar 2012-01-25 02:54:18 UTC
fixed on master
review pending 3-4, 3-5, 3-5-0
Comment 10 Caolán McNamara 2012-01-26 15:01:07 UTC
committed to 3-4, 3-5. 3-5-0 pending extra review.
Comment 11 Rainer Bielefeld Retired 2012-07-08 04:22:28 UTC
I wonder where this has been integrated.

Please see "Bug 51861 - UI: Menu 'Tools -> Options' will crash when 'Bodo' is selected for UI language"